[meta] Make Firefox front-end more touch-friendly
Starting in  we have enabled touch events in Firefox for configurations that have e10s enabled. This has caused a number of usability regressions when using Firefox on Windows touch devices. I've been trying to fix these as they come up but I think it would be worth having somebody who actually knows the front-end code take a look at some of these issues. They would be able to fix them much  than I can. In most cases I've basically done the bare minimum needed to get things to a reasonable state but there's often a lot of room for improvement. I'm filing this meta bug to track the front-end issues I've already fixed as well as ones that haven't yet been addressed.
